package com.mvc.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TAicbqSetupExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public TAicbqSetupExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andSetupIdIsNull() {
            addCriterion("SETUP_ID is null");
            return (Criteria) this;
        }

        public Criteria andSetupIdIsNotNull() {
            addCriterion("SETUP_ID is not null");
            return (Criteria) this;
        }

        public Criteria andSetupIdEqualTo(String value) {
            addCriterion("SETUP_ID =", value, "setupId");
            return (Criteria) this;
        }

        public Criteria andSetupIdNotEqualTo(String value) {
            addCriterion("SETUP_ID <>", value, "setupId");
            return (Criteria) this;
        }

        public Criteria andSetupIdGreaterThan(String value) {
            addCriterion("SETUP_ID >", value, "setupId");
            return (Criteria) this;
        }

        public Criteria andSetupIdGreaterThanOrEqualTo(String value) {
            addCriterion("SETUP_ID >=", value, "setupId");
            return (Criteria) this;
        }

        public Criteria andSetupIdLessThan(String value) {
            addCriterion("SETUP_ID <", value, "setupId");
            return (Criteria) this;
        }

        public Criteria andSetupIdLessThanOrEqualTo(String value) {
            addCriterion("SETUP_ID <=", value, "setupId");
            return (Criteria) this;
        }

        public Criteria andSetupIdLike(String value) {
            addCriterion("SETUP_ID like", value, "setupId");
            return (Criteria) this;
        }

        public Criteria andSetupIdNotLike(String value) {
            addCriterion("SETUP_ID not like", value, "setupId");
            return (Criteria) this;
        }

        public Criteria andSetupIdIn(List<String> values) {
            addCriterion("SETUP_ID in", values, "setupId");
            return (Criteria) this;
        }

        public Criteria andSetupIdNotIn(List<String> values) {
            addCriterion("SETUP_ID not in", values, "setupId");
            return (Criteria) this;
        }

        public Criteria andSetupIdBetween(String value1, String value2) {
            addCriterion("SETUP_ID between", value1, value2, "setupId");
            return (Criteria) this;
        }

        public Criteria andSetupIdNotBetween(String value1, String value2) {
            addCriterion("SETUP_ID not between", value1, value2, "setupId");
            return (Criteria) this;
        }

        public Criteria andStationCodeIsNull() {
            addCriterion("STATION_CODE is null");
            return (Criteria) this;
        }

        public Criteria andStationCodeIsNotNull() {
            addCriterion("STATION_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andStationCodeEqualTo(String value) {
            addCriterion("STATION_CODE =", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeNotEqualTo(String value) {
            addCriterion("STATION_CODE <>", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeGreaterThan(String value) {
            addCriterion("STATION_CODE >", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeGreaterThanOrEqualTo(String value) {
            addCriterion("STATION_CODE >=", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeLessThan(String value) {
            addCriterion("STATION_CODE <", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeLessThanOrEqualTo(String value) {
            addCriterion("STATION_CODE <=", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeLike(String value) {
            addCriterion("STATION_CODE like", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeNotLike(String value) {
            addCriterion("STATION_CODE not like", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeIn(List<String> values) {
            addCriterion("STATION_CODE in", values, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeNotIn(List<String> values) {
            addCriterion("STATION_CODE not in", values, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeBetween(String value1, String value2) {
            addCriterion("STATION_CODE between", value1, value2, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeNotBetween(String value1, String value2) {
            addCriterion("STATION_CODE not between", value1, value2, "stationCode");
            return (Criteria) this;
        }

        public Criteria andDeviceSnIsNull() {
            addCriterion("DEVICE_SN is null");
            return (Criteria) this;
        }

        public Criteria andDeviceSnIsNotNull() {
            addCriterion("DEVICE_SN is not null");
            return (Criteria) this;
        }

        public Criteria andDeviceSnEqualTo(String value) {
            addCriterion("DEVICE_SN =", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotEqualTo(String value) {
            addCriterion("DEVICE_SN <>", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnGreaterThan(String value) {
            addCriterion("DEVICE_SN >", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnGreaterThanOrEqualTo(String value) {
            addCriterion("DEVICE_SN >=", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnLessThan(String value) {
            addCriterion("DEVICE_SN <", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnLessThanOrEqualTo(String value) {
            addCriterion("DEVICE_SN <=", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnLike(String value) {
            addCriterion("DEVICE_SN like", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotLike(String value) {
            addCriterion("DEVICE_SN not like", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnIn(List<String> values) {
            addCriterion("DEVICE_SN in", values, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotIn(List<String> values) {
            addCriterion("DEVICE_SN not in", values, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnBetween(String value1, String value2) {
            addCriterion("DEVICE_SN between", value1, value2, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotBetween(String value1, String value2) {
            addCriterion("DEVICE_SN not between", value1, value2, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andSetupTimeIsNull() {
            addCriterion("SETUP_TIME is null");
            return (Criteria) this;
        }

        public Criteria andSetupTimeIsNotNull() {
            addCriterion("SETUP_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andSetupTimeEqualTo(Date value) {
            addCriterion("SETUP_TIME =", value, "setupTime");
            return (Criteria) this;
        }

        public Criteria andSetupTimeNotEqualTo(Date value) {
            addCriterion("SETUP_TIME <>", value, "setupTime");
            return (Criteria) this;
        }

        public Criteria andSetupTimeGreaterThan(Date value) {
            addCriterion("SETUP_TIME >", value, "setupTime");
            return (Criteria) this;
        }

        public Criteria andSetupTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("SETUP_TIME >=", value, "setupTime");
            return (Criteria) this;
        }

        public Criteria andSetupTimeLessThan(Date value) {
            addCriterion("SETUP_TIME <", value, "setupTime");
            return (Criteria) this;
        }

        public Criteria andSetupTimeLessThanOrEqualTo(Date value) {
            addCriterion("SETUP_TIME <=", value, "setupTime");
            return (Criteria) this;
        }

        public Criteria andSetupTimeIn(List<Date> values) {
            addCriterion("SETUP_TIME in", values, "setupTime");
            return (Criteria) this;
        }

        public Criteria andSetupTimeNotIn(List<Date> values) {
            addCriterion("SETUP_TIME not in", values, "setupTime");
            return (Criteria) this;
        }

        public Criteria andSetupTimeBetween(Date value1, Date value2) {
            addCriterion("SETUP_TIME between", value1, value2, "setupTime");
            return (Criteria) this;
        }

        public Criteria andSetupTimeNotBetween(Date value1, Date value2) {
            addCriterion("SETUP_TIME not between", value1, value2, "setupTime");
            return (Criteria) this;
        }

        public Criteria andSetupManIsNull() {
            addCriterion("SETUP_MAN is null");
            return (Criteria) this;
        }

        public Criteria andSetupManIsNotNull() {
            addCriterion("SETUP_MAN is not null");
            return (Criteria) this;
        }

        public Criteria andSetupManEqualTo(String value) {
            addCriterion("SETUP_MAN =", value, "setupMan");
            return (Criteria) this;
        }

        public Criteria andSetupManNotEqualTo(String value) {
            addCriterion("SETUP_MAN <>", value, "setupMan");
            return (Criteria) this;
        }

        public Criteria andSetupManGreaterThan(String value) {
            addCriterion("SETUP_MAN >", value, "setupMan");
            return (Criteria) this;
        }

        public Criteria andSetupManGreaterThanOrEqualTo(String value) {
            addCriterion("SETUP_MAN >=", value, "setupMan");
            return (Criteria) this;
        }

        public Criteria andSetupManLessThan(String value) {
            addCriterion("SETUP_MAN <", value, "setupMan");
            return (Criteria) this;
        }

        public Criteria andSetupManLessThanOrEqualTo(String value) {
            addCriterion("SETUP_MAN <=", value, "setupMan");
            return (Criteria) this;
        }

        public Criteria andSetupManLike(String value) {
            addCriterion("SETUP_MAN like", value, "setupMan");
            return (Criteria) this;
        }

        public Criteria andSetupManNotLike(String value) {
            addCriterion("SETUP_MAN not like", value, "setupMan");
            return (Criteria) this;
        }

        public Criteria andSetupManIn(List<String> values) {
            addCriterion("SETUP_MAN in", values, "setupMan");
            return (Criteria) this;
        }

        public Criteria andSetupManNotIn(List<String> values) {
            addCriterion("SETUP_MAN not in", values, "setupMan");
            return (Criteria) this;
        }

        public Criteria andSetupManBetween(String value1, String value2) {
            addCriterion("SETUP_MAN between", value1, value2, "setupMan");
            return (Criteria) this;
        }

        public Criteria andSetupManNotBetween(String value1, String value2) {
            addCriterion("SETUP_MAN not between", value1, value2, "setupMan");
            return (Criteria) this;
        }

        public Criteria andFloorRsrpIsNull() {
            addCriterion("FLOOR_RSRP is null");
            return (Criteria) this;
        }

        public Criteria andFloorRsrpIsNotNull() {
            addCriterion("FLOOR_RSRP is not null");
            return (Criteria) this;
        }

        public Criteria andFloorRsrpEqualTo(Integer value) {
            addCriterion("FLOOR_RSRP =", value, "floorRsrp");
            return (Criteria) this;
        }

        public Criteria andFloorRsrpNotEqualTo(Integer value) {
            addCriterion("FLOOR_RSRP <>", value, "floorRsrp");
            return (Criteria) this;
        }

        public Criteria andFloorRsrpGreaterThan(Integer value) {
            addCriterion("FLOOR_RSRP >", value, "floorRsrp");
            return (Criteria) this;
        }

        public Criteria andFloorRsrpGreaterThanOrEqualTo(Integer value) {
            addCriterion("FLOOR_RSRP >=", value, "floorRsrp");
            return (Criteria) this;
        }

        public Criteria andFloorRsrpLessThan(Integer value) {
            addCriterion("FLOOR_RSRP <", value, "floorRsrp");
            return (Criteria) this;
        }

        public Criteria andFloorRsrpLessThanOrEqualTo(Integer value) {
            addCriterion("FLOOR_RSRP <=", value, "floorRsrp");
            return (Criteria) this;
        }

        public Criteria andFloorRsrpIn(List<Integer> values) {
            addCriterion("FLOOR_RSRP in", values, "floorRsrp");
            return (Criteria) this;
        }

        public Criteria andFloorRsrpNotIn(List<Integer> values) {
            addCriterion("FLOOR_RSRP not in", values, "floorRsrp");
            return (Criteria) this;
        }

        public Criteria andFloorRsrpBetween(Integer value1, Integer value2) {
            addCriterion("FLOOR_RSRP between", value1, value2, "floorRsrp");
            return (Criteria) this;
        }

        public Criteria andFloorRsrpNotBetween(Integer value1, Integer value2) {
            addCriterion("FLOOR_RSRP not between", value1, value2, "floorRsrp");
            return (Criteria) this;
        }

        public Criteria andEnvPicFlagIsNull() {
            addCriterion("ENV_PIC_FLAG is null");
            return (Criteria) this;
        }

        public Criteria andEnvPicFlagIsNotNull() {
            addCriterion("ENV_PIC_FLAG is not null");
            return (Criteria) this;
        }

        public Criteria andEnvPicFlagEqualTo(String value) {
            addCriterion("ENV_PIC_FLAG =", value, "envPicFlag");
            return (Criteria) this;
        }

        public Criteria andEnvPicFlagNotEqualTo(String value) {
            addCriterion("ENV_PIC_FLAG <>", value, "envPicFlag");
            return (Criteria) this;
        }

        public Criteria andEnvPicFlagGreaterThan(String value) {
            addCriterion("ENV_PIC_FLAG >", value, "envPicFlag");
            return (Criteria) this;
        }

        public Criteria andEnvPicFlagGreaterThanOrEqualTo(String value) {
            addCriterion("ENV_PIC_FLAG >=", value, "envPicFlag");
            return (Criteria) this;
        }

        public Criteria andEnvPicFlagLessThan(String value) {
            addCriterion("ENV_PIC_FLAG <", value, "envPicFlag");
            return (Criteria) this;
        }

        public Criteria andEnvPicFlagLessThanOrEqualTo(String value) {
            addCriterion("ENV_PIC_FLAG <=", value, "envPicFlag");
            return (Criteria) this;
        }

        public Criteria andEnvPicFlagLike(String value) {
            addCriterion("ENV_PIC_FLAG like", value, "envPicFlag");
            return (Criteria) this;
        }

        public Criteria andEnvPicFlagNotLike(String value) {
            addCriterion("ENV_PIC_FLAG not like", value, "envPicFlag");
            return (Criteria) this;
        }

        public Criteria andEnvPicFlagIn(List<String> values) {
            addCriterion("ENV_PIC_FLAG in", values, "envPicFlag");
            return (Criteria) this;
        }

        public Criteria andEnvPicFlagNotIn(List<String> values) {
            addCriterion("ENV_PIC_FLAG not in", values, "envPicFlag");
            return (Criteria) this;
        }

        public Criteria andEnvPicFlagBetween(String value1, String value2) {
            addCriterion("ENV_PIC_FLAG between", value1, value2, "envPicFlag");
            return (Criteria) this;
        }

        public Criteria andEnvPicFlagNotBetween(String value1, String value2) {
            addCriterion("ENV_PIC_FLAG not between", value1, value2, "envPicFlag");
            return (Criteria) this;
        }

        public Criteria andEnvPicNumIsNull() {
            addCriterion("ENV_PIC_NUM is null");
            return (Criteria) this;
        }

        public Criteria andEnvPicNumIsNotNull() {
            addCriterion("ENV_PIC_NUM is not null");
            return (Criteria) this;
        }

        public Criteria andEnvPicNumEqualTo(Integer value) {
            addCriterion("ENV_PIC_NUM =", value, "envPicNum");
            return (Criteria) this;
        }

        public Criteria andEnvPicNumNotEqualTo(Integer value) {
            addCriterion("ENV_PIC_NUM <>", value, "envPicNum");
            return (Criteria) this;
        }

        public Criteria andEnvPicNumGreaterThan(Integer value) {
            addCriterion("ENV_PIC_NUM >", value, "envPicNum");
            return (Criteria) this;
        }

        public Criteria andEnvPicNumGreaterThanOrEqualTo(Integer value) {
            addCriterion("ENV_PIC_NUM >=", value, "envPicNum");
            return (Criteria) this;
        }

        public Criteria andEnvPicNumLessThan(Integer value) {
            addCriterion("ENV_PIC_NUM <", value, "envPicNum");
            return (Criteria) this;
        }

        public Criteria andEnvPicNumLessThanOrEqualTo(Integer value) {
            addCriterion("ENV_PIC_NUM <=", value, "envPicNum");
            return (Criteria) this;
        }

        public Criteria andEnvPicNumIn(List<Integer> values) {
            addCriterion("ENV_PIC_NUM in", values, "envPicNum");
            return (Criteria) this;
        }

        public Criteria andEnvPicNumNotIn(List<Integer> values) {
            addCriterion("ENV_PIC_NUM not in", values, "envPicNum");
            return (Criteria) this;
        }

        public Criteria andEnvPicNumBetween(Integer value1, Integer value2) {
            addCriterion("ENV_PIC_NUM between", value1, value2, "envPicNum");
            return (Criteria) this;
        }

        public Criteria andEnvPicNumNotBetween(Integer value1, Integer value2) {
            addCriterion("ENV_PIC_NUM not between", value1, value2, "envPicNum");
            return (Criteria) this;
        }

        public Criteria andEnvPic1UrlIsNull() {
            addCriterion("ENV_PIC1_URL is null");
            return (Criteria) this;
        }

        public Criteria andEnvPic1UrlIsNotNull() {
            addCriterion("ENV_PIC1_URL is not null");
            return (Criteria) this;
        }

        public Criteria andEnvPic1UrlEqualTo(String value) {
            addCriterion("ENV_PIC1_URL =", value, "envPic1Url");
            return (Criteria) this;
        }

        public Criteria andEnvPic1UrlNotEqualTo(String value) {
            addCriterion("ENV_PIC1_URL <>", value, "envPic1Url");
            return (Criteria) this;
        }

        public Criteria andEnvPic1UrlGreaterThan(String value) {
            addCriterion("ENV_PIC1_URL >", value, "envPic1Url");
            return (Criteria) this;
        }

        public Criteria andEnvPic1UrlGreaterThanOrEqualTo(String value) {
            addCriterion("ENV_PIC1_URL >=", value, "envPic1Url");
            return (Criteria) this;
        }

        public Criteria andEnvPic1UrlLessThan(String value) {
            addCriterion("ENV_PIC1_URL <", value, "envPic1Url");
            return (Criteria) this;
        }

        public Criteria andEnvPic1UrlLessThanOrEqualTo(String value) {
            addCriterion("ENV_PIC1_URL <=", value, "envPic1Url");
            return (Criteria) this;
        }

        public Criteria andEnvPic1UrlLike(String value) {
            addCriterion("ENV_PIC1_URL like", value, "envPic1Url");
            return (Criteria) this;
        }

        public Criteria andEnvPic1UrlNotLike(String value) {
            addCriterion("ENV_PIC1_URL not like", value, "envPic1Url");
            return (Criteria) this;
        }

        public Criteria andEnvPic1UrlIn(List<String> values) {
            addCriterion("ENV_PIC1_URL in", values, "envPic1Url");
            return (Criteria) this;
        }

        public Criteria andEnvPic1UrlNotIn(List<String> values) {
            addCriterion("ENV_PIC1_URL not in", values, "envPic1Url");
            return (Criteria) this;
        }

        public Criteria andEnvPic1UrlBetween(String value1, String value2) {
            addCriterion("ENV_PIC1_URL between", value1, value2, "envPic1Url");
            return (Criteria) this;
        }

        public Criteria andEnvPic1UrlNotBetween(String value1, String value2) {
            addCriterion("ENV_PIC1_URL not between", value1, value2, "envPic1Url");
            return (Criteria) this;
        }

        public Criteria andEnvPic2UrlIsNull() {
            addCriterion("ENV_PIC2_URL is null");
            return (Criteria) this;
        }

        public Criteria andEnvPic2UrlIsNotNull() {
            addCriterion("ENV_PIC2_URL is not null");
            return (Criteria) this;
        }

        public Criteria andEnvPic2UrlEqualTo(String value) {
            addCriterion("ENV_PIC2_URL =", value, "envPic2Url");
            return (Criteria) this;
        }

        public Criteria andEnvPic2UrlNotEqualTo(String value) {
            addCriterion("ENV_PIC2_URL <>", value, "envPic2Url");
            return (Criteria) this;
        }

        public Criteria andEnvPic2UrlGreaterThan(String value) {
            addCriterion("ENV_PIC2_URL >", value, "envPic2Url");
            return (Criteria) this;
        }

        public Criteria andEnvPic2UrlGreaterThanOrEqualTo(String value) {
            addCriterion("ENV_PIC2_URL >=", value, "envPic2Url");
            return (Criteria) this;
        }

        public Criteria andEnvPic2UrlLessThan(String value) {
            addCriterion("ENV_PIC2_URL <", value, "envPic2Url");
            return (Criteria) this;
        }

        public Criteria andEnvPic2UrlLessThanOrEqualTo(String value) {
            addCriterion("ENV_PIC2_URL <=", value, "envPic2Url");
            return (Criteria) this;
        }

        public Criteria andEnvPic2UrlLike(String value) {
            addCriterion("ENV_PIC2_URL like", value, "envPic2Url");
            return (Criteria) this;
        }

        public Criteria andEnvPic2UrlNotLike(String value) {
            addCriterion("ENV_PIC2_URL not like", value, "envPic2Url");
            return (Criteria) this;
        }

        public Criteria andEnvPic2UrlIn(List<String> values) {
            addCriterion("ENV_PIC2_URL in", values, "envPic2Url");
            return (Criteria) this;
        }

        public Criteria andEnvPic2UrlNotIn(List<String> values) {
            addCriterion("ENV_PIC2_URL not in", values, "envPic2Url");
            return (Criteria) this;
        }

        public Criteria andEnvPic2UrlBetween(String value1, String value2) {
            addCriterion("ENV_PIC2_URL between", value1, value2, "envPic2Url");
            return (Criteria) this;
        }

        public Criteria andEnvPic2UrlNotBetween(String value1, String value2) {
            addCriterion("ENV_PIC2_URL not between", value1, value2, "envPic2Url");
            return (Criteria) this;
        }

        public Criteria andEnvPic3UrlIsNull() {
            addCriterion("ENV_PIC3_URL is null");
            return (Criteria) this;
        }

        public Criteria andEnvPic3UrlIsNotNull() {
            addCriterion("ENV_PIC3_URL is not null");
            return (Criteria) this;
        }

        public Criteria andEnvPic3UrlEqualTo(String value) {
            addCriterion("ENV_PIC3_URL =", value, "envPic3Url");
            return (Criteria) this;
        }

        public Criteria andEnvPic3UrlNotEqualTo(String value) {
            addCriterion("ENV_PIC3_URL <>", value, "envPic3Url");
            return (Criteria) this;
        }

        public Criteria andEnvPic3UrlGreaterThan(String value) {
            addCriterion("ENV_PIC3_URL >", value, "envPic3Url");
            return (Criteria) this;
        }

        public Criteria andEnvPic3UrlGreaterThanOrEqualTo(String value) {
            addCriterion("ENV_PIC3_URL >=", value, "envPic3Url");
            return (Criteria) this;
        }

        public Criteria andEnvPic3UrlLessThan(String value) {
            addCriterion("ENV_PIC3_URL <", value, "envPic3Url");
            return (Criteria) this;
        }

        public Criteria andEnvPic3UrlLessThanOrEqualTo(String value) {
            addCriterion("ENV_PIC3_URL <=", value, "envPic3Url");
            return (Criteria) this;
        }

        public Criteria andEnvPic3UrlLike(String value) {
            addCriterion("ENV_PIC3_URL like", value, "envPic3Url");
            return (Criteria) this;
        }

        public Criteria andEnvPic3UrlNotLike(String value) {
            addCriterion("ENV_PIC3_URL not like", value, "envPic3Url");
            return (Criteria) this;
        }

        public Criteria andEnvPic3UrlIn(List<String> values) {
            addCriterion("ENV_PIC3_URL in", values, "envPic3Url");
            return (Criteria) this;
        }

        public Criteria andEnvPic3UrlNotIn(List<String> values) {
            addCriterion("ENV_PIC3_URL not in", values, "envPic3Url");
            return (Criteria) this;
        }

        public Criteria andEnvPic3UrlBetween(String value1, String value2) {
            addCriterion("ENV_PIC3_URL between", value1, value2, "envPic3Url");
            return (Criteria) this;
        }

        public Criteria andEnvPic3UrlNotBetween(String value1, String value2) {
            addCriterion("ENV_PIC3_URL not between", value1, value2, "envPic3Url");
            return (Criteria) this;
        }

        public Criteria andDialPicFlagIsNull() {
            addCriterion("DIAL_PIC_FLAG is null");
            return (Criteria) this;
        }

        public Criteria andDialPicFlagIsNotNull() {
            addCriterion("DIAL_PIC_FLAG is not null");
            return (Criteria) this;
        }

        public Criteria andDialPicFlagEqualTo(String value) {
            addCriterion("DIAL_PIC_FLAG =", value, "dialPicFlag");
            return (Criteria) this;
        }

        public Criteria andDialPicFlagNotEqualTo(String value) {
            addCriterion("DIAL_PIC_FLAG <>", value, "dialPicFlag");
            return (Criteria) this;
        }

        public Criteria andDialPicFlagGreaterThan(String value) {
            addCriterion("DIAL_PIC_FLAG >", value, "dialPicFlag");
            return (Criteria) this;
        }

        public Criteria andDialPicFlagGreaterThanOrEqualTo(String value) {
            addCriterion("DIAL_PIC_FLAG >=", value, "dialPicFlag");
            return (Criteria) this;
        }

        public Criteria andDialPicFlagLessThan(String value) {
            addCriterion("DIAL_PIC_FLAG <", value, "dialPicFlag");
            return (Criteria) this;
        }

        public Criteria andDialPicFlagLessThanOrEqualTo(String value) {
            addCriterion("DIAL_PIC_FLAG <=", value, "dialPicFlag");
            return (Criteria) this;
        }

        public Criteria andDialPicFlagLike(String value) {
            addCriterion("DIAL_PIC_FLAG like", value, "dialPicFlag");
            return (Criteria) this;
        }

        public Criteria andDialPicFlagNotLike(String value) {
            addCriterion("DIAL_PIC_FLAG not like", value, "dialPicFlag");
            return (Criteria) this;
        }

        public Criteria andDialPicFlagIn(List<String> values) {
            addCriterion("DIAL_PIC_FLAG in", values, "dialPicFlag");
            return (Criteria) this;
        }

        public Criteria andDialPicFlagNotIn(List<String> values) {
            addCriterion("DIAL_PIC_FLAG not in", values, "dialPicFlag");
            return (Criteria) this;
        }

        public Criteria andDialPicFlagBetween(String value1, String value2) {
            addCriterion("DIAL_PIC_FLAG between", value1, value2, "dialPicFlag");
            return (Criteria) this;
        }

        public Criteria andDialPicFlagNotBetween(String value1, String value2) {
            addCriterion("DIAL_PIC_FLAG not between", value1, value2, "dialPicFlag");
            return (Criteria) this;
        }

        public Criteria andDialPicUrlIsNull() {
            addCriterion("DIAL_PIC_URL is null");
            return (Criteria) this;
        }

        public Criteria andDialPicUrlIsNotNull() {
            addCriterion("DIAL_PIC_URL is not null");
            return (Criteria) this;
        }

        public Criteria andDialPicUrlEqualTo(String value) {
            addCriterion("DIAL_PIC_URL =", value, "dialPicUrl");
            return (Criteria) this;
        }

        public Criteria andDialPicUrlNotEqualTo(String value) {
            addCriterion("DIAL_PIC_URL <>", value, "dialPicUrl");
            return (Criteria) this;
        }

        public Criteria andDialPicUrlGreaterThan(String value) {
            addCriterion("DIAL_PIC_URL >", value, "dialPicUrl");
            return (Criteria) this;
        }

        public Criteria andDialPicUrlGreaterThanOrEqualTo(String value) {
            addCriterion("DIAL_PIC_URL >=", value, "dialPicUrl");
            return (Criteria) this;
        }

        public Criteria andDialPicUrlLessThan(String value) {
            addCriterion("DIAL_PIC_URL <", value, "dialPicUrl");
            return (Criteria) this;
        }

        public Criteria andDialPicUrlLessThanOrEqualTo(String value) {
            addCriterion("DIAL_PIC_URL <=", value, "dialPicUrl");
            return (Criteria) this;
        }

        public Criteria andDialPicUrlLike(String value) {
            addCriterion("DIAL_PIC_URL like", value, "dialPicUrl");
            return (Criteria) this;
        }

        public Criteria andDialPicUrlNotLike(String value) {
            addCriterion("DIAL_PIC_URL not like", value, "dialPicUrl");
            return (Criteria) this;
        }

        public Criteria andDialPicUrlIn(List<String> values) {
            addCriterion("DIAL_PIC_URL in", values, "dialPicUrl");
            return (Criteria) this;
        }

        public Criteria andDialPicUrlNotIn(List<String> values) {
            addCriterion("DIAL_PIC_URL not in", values, "dialPicUrl");
            return (Criteria) this;
        }

        public Criteria andDialPicUrlBetween(String value1, String value2) {
            addCriterion("DIAL_PIC_URL between", value1, value2, "dialPicUrl");
            return (Criteria) this;
        }

        public Criteria andDialPicUrlNotBetween(String value1, String value2) {
            addCriterion("DIAL_PIC_URL not between", value1, value2, "dialPicUrl");
            return (Criteria) this;
        }

        public Criteria andSidePicFlagIsNull() {
            addCriterion("SIDE_PIC_FLAG is null");
            return (Criteria) this;
        }

        public Criteria andSidePicFlagIsNotNull() {
            addCriterion("SIDE_PIC_FLAG is not null");
            return (Criteria) this;
        }

        public Criteria andSidePicFlagEqualTo(String value) {
            addCriterion("SIDE_PIC_FLAG =", value, "sidePicFlag");
            return (Criteria) this;
        }

        public Criteria andSidePicFlagNotEqualTo(String value) {
            addCriterion("SIDE_PIC_FLAG <>", value, "sidePicFlag");
            return (Criteria) this;
        }

        public Criteria andSidePicFlagGreaterThan(String value) {
            addCriterion("SIDE_PIC_FLAG >", value, "sidePicFlag");
            return (Criteria) this;
        }

        public Criteria andSidePicFlagGreaterThanOrEqualTo(String value) {
            addCriterion("SIDE_PIC_FLAG >=", value, "sidePicFlag");
            return (Criteria) this;
        }

        public Criteria andSidePicFlagLessThan(String value) {
            addCriterion("SIDE_PIC_FLAG <", value, "sidePicFlag");
            return (Criteria) this;
        }

        public Criteria andSidePicFlagLessThanOrEqualTo(String value) {
            addCriterion("SIDE_PIC_FLAG <=", value, "sidePicFlag");
            return (Criteria) this;
        }

        public Criteria andSidePicFlagLike(String value) {
            addCriterion("SIDE_PIC_FLAG like", value, "sidePicFlag");
            return (Criteria) this;
        }

        public Criteria andSidePicFlagNotLike(String value) {
            addCriterion("SIDE_PIC_FLAG not like", value, "sidePicFlag");
            return (Criteria) this;
        }

        public Criteria andSidePicFlagIn(List<String> values) {
            addCriterion("SIDE_PIC_FLAG in", values, "sidePicFlag");
            return (Criteria) this;
        }

        public Criteria andSidePicFlagNotIn(List<String> values) {
            addCriterion("SIDE_PIC_FLAG not in", values, "sidePicFlag");
            return (Criteria) this;
        }

        public Criteria andSidePicFlagBetween(String value1, String value2) {
            addCriterion("SIDE_PIC_FLAG between", value1, value2, "sidePicFlag");
            return (Criteria) this;
        }

        public Criteria andSidePicFlagNotBetween(String value1, String value2) {
            addCriterion("SIDE_PIC_FLAG not between", value1, value2, "sidePicFlag");
            return (Criteria) this;
        }

        public Criteria andSidePicUrlIsNull() {
            addCriterion("SIDE_PIC_URL is null");
            return (Criteria) this;
        }

        public Criteria andSidePicUrlIsNotNull() {
            addCriterion("SIDE_PIC_URL is not null");
            return (Criteria) this;
        }

        public Criteria andSidePicUrlEqualTo(String value) {
            addCriterion("SIDE_PIC_URL =", value, "sidePicUrl");
            return (Criteria) this;
        }

        public Criteria andSidePicUrlNotEqualTo(String value) {
            addCriterion("SIDE_PIC_URL <>", value, "sidePicUrl");
            return (Criteria) this;
        }

        public Criteria andSidePicUrlGreaterThan(String value) {
            addCriterion("SIDE_PIC_URL >", value, "sidePicUrl");
            return (Criteria) this;
        }

        public Criteria andSidePicUrlGreaterThanOrEqualTo(String value) {
            addCriterion("SIDE_PIC_URL >=", value, "sidePicUrl");
            return (Criteria) this;
        }

        public Criteria andSidePicUrlLessThan(String value) {
            addCriterion("SIDE_PIC_URL <", value, "sidePicUrl");
            return (Criteria) this;
        }

        public Criteria andSidePicUrlLessThanOrEqualTo(String value) {
            addCriterion("SIDE_PIC_URL <=", value, "sidePicUrl");
            return (Criteria) this;
        }

        public Criteria andSidePicUrlLike(String value) {
            addCriterion("SIDE_PIC_URL like", value, "sidePicUrl");
            return (Criteria) this;
        }

        public Criteria andSidePicUrlNotLike(String value) {
            addCriterion("SIDE_PIC_URL not like", value, "sidePicUrl");
            return (Criteria) this;
        }

        public Criteria andSidePicUrlIn(List<String> values) {
            addCriterion("SIDE_PIC_URL in", values, "sidePicUrl");
            return (Criteria) this;
        }

        public Criteria andSidePicUrlNotIn(List<String> values) {
            addCriterion("SIDE_PIC_URL not in", values, "sidePicUrl");
            return (Criteria) this;
        }

        public Criteria andSidePicUrlBetween(String value1, String value2) {
            addCriterion("SIDE_PIC_URL between", value1, value2, "sidePicUrl");
            return (Criteria) this;
        }

        public Criteria andSidePicUrlNotBetween(String value1, String value2) {
            addCriterion("SIDE_PIC_URL not between", value1, value2, "sidePicUrl");
            return (Criteria) this;
        }

        public Criteria andConfigFlagIsNull() {
            addCriterion("CONFIG_FLAG is null");
            return (Criteria) this;
        }

        public Criteria andConfigFlagIsNotNull() {
            addCriterion("CONFIG_FLAG is not null");
            return (Criteria) this;
        }

        public Criteria andConfigFlagEqualTo(String value) {
            addCriterion("CONFIG_FLAG =", value, "configFlag");
            return (Criteria) this;
        }

        public Criteria andConfigFlagNotEqualTo(String value) {
            addCriterion("CONFIG_FLAG <>", value, "configFlag");
            return (Criteria) this;
        }

        public Criteria andConfigFlagGreaterThan(String value) {
            addCriterion("CONFIG_FLAG >", value, "configFlag");
            return (Criteria) this;
        }

        public Criteria andConfigFlagGreaterThanOrEqualTo(String value) {
            addCriterion("CONFIG_FLAG >=", value, "configFlag");
            return (Criteria) this;
        }

        public Criteria andConfigFlagLessThan(String value) {
            addCriterion("CONFIG_FLAG <", value, "configFlag");
            return (Criteria) this;
        }

        public Criteria andConfigFlagLessThanOrEqualTo(String value) {
            addCriterion("CONFIG_FLAG <=", value, "configFlag");
            return (Criteria) this;
        }

        public Criteria andConfigFlagLike(String value) {
            addCriterion("CONFIG_FLAG like", value, "configFlag");
            return (Criteria) this;
        }

        public Criteria andConfigFlagNotLike(String value) {
            addCriterion("CONFIG_FLAG not like", value, "configFlag");
            return (Criteria) this;
        }

        public Criteria andConfigFlagIn(List<String> values) {
            addCriterion("CONFIG_FLAG in", values, "configFlag");
            return (Criteria) this;
        }

        public Criteria andConfigFlagNotIn(List<String> values) {
            addCriterion("CONFIG_FLAG not in", values, "configFlag");
            return (Criteria) this;
        }

        public Criteria andConfigFlagBetween(String value1, String value2) {
            addCriterion("CONFIG_FLAG between", value1, value2, "configFlag");
            return (Criteria) this;
        }

        public Criteria andConfigFlagNotBetween(String value1, String value2) {
            addCriterion("CONFIG_FLAG not between", value1, value2, "configFlag");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}